Page MenuHomePhabricator

[Regression pre-wmf.21] Cite dialog is not opening, "Uncaught TypeError: Cannot read property 'keyedNodes' of undefined" in the console
Closed, ResolvedPublic1 Story Points

Description

Click on Cite from Toolbar

Cite dialog does not open, and in the console following error appears:
Uncaught TypeError: Cannot read property 'keyedNodes' of undefined

Event Timeline

Ryasmeen created this task.Apr 18 2017, 9:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2017, 9:30 PM
Jdforrester-WMF triaged this task as High priority.Apr 19 2017, 10:42 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.
DLynch added subscribers: dchan, DLynch.EditedApr 20 2017, 7:25 AM

Looks very strongly like a side-effect of @dchan's 719f8c6673093c37b44e0e11a00db7ea6941b5cd.

Specifically, Cite's referencenode really doesn't expect to be unrooted before it has been added to the internal list in the first place.

Change 349161 had a related patch set uploaded (by DLynch):
[mediawiki/extensions/Cite@master] MWReferenceNode: Don't try to remove from the internal list if it's not added

https://gerrit.wikimedia.org/r/349161

Change 349226 had a related patch set uploaded (by Esanders):
[mediawiki/extensions/Cite@master] Only remove from internal list if unroot from correct document

https://gerrit.wikimedia.org/r/349226

I went for a fix a little further up the stack..

Change 349226 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Only remove from internal list if unroot from correct document

https://gerrit.wikimedia.org/r/349226

Change 349161 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] MWReferenceNode: Don't try to remove from the internal list if it's not added

https://gerrit.wikimedia.org/r/349161

Jdforrester-WMF closed this task as Resolved.Apr 20 2017, 5:44 PM
Jdforrester-WMF assigned this task to DLynch.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 20 2017, 5:44 PM